osl::container Namespace Reference

## Classes

class | BitXmask
| X座標のbitset. More...
class | BoardMask
| 11 x 12 More...
class | BoardMaskTable5x5
class | BoardMaskTable3x3
class | BoardMaskTable5x3Center
class | PieceMask64
struct | QuadInt
class | QuadIntPair
class | MoveLogProbVector
class | MoveStack
| Move のstack. More...
struct | Square8

## Typedefs

typedef FixedCapacityVector< MoveLogProb, Move::MaxUniqMoves > | MoveLogProbVectorBase

## Functions

bool | operator== (BitXmask l, BitXmask r)
bool | operator!= (BitXmask l, BitXmask r)
bool | operator< (BitXmask l, BitXmask r)
std::ostream & | operator<< (std::ostream &, const BitXmask)
bool | operator== (const BoardMask &l, const BoardMask &r)
std::ostream & | operator<< (std::ostream &, const BoardMask &)
const BoardMask | operator| (const BoardMask &l, const BoardMask &r)
QuadInt | operator+ (QuadInt const &si0, QuadInt const &si1)
QuadInt | operator- (QuadInt const &si0, QuadInt const &si1)
QuadInt | operator* (QuadInt const &si0, int scale)
bool | operator== (QuadInt const &l, QuadInt const &r)
bool | operator< (QuadInt const &l, QuadInt const &r)
QuadIntPair | operator+ (QuadIntPair const &si0, QuadIntPair const &si1)
QuadIntPair | operator- (QuadIntPair const &si0, QuadIntPair const &si1)
bool | operator== (QuadIntPair const &l, QuadIntPair const &r)
std::ostream & | operator<< (std::ostream &os, MoveLogProbVector const &mv)
bool | operator== (const MoveLogProbVector &l, const MoveLogProbVector &r)
std::ostream & | operator<< (std::ostream &, const Square8 &)

## Variables

const BoardMaskTable5x5 | Board_Mask_Table5x5
const BoardMaskTable3x3 | Board_Mask_Table3x3
const BoardMaskTable5x3Center | Board_Mask_Table5x3_Center

## Typedef Documentation

## MoveLogProbVectorBase

typedef FixedCapacityVector<MoveLogProb,Move::MaxUniqMoves> osl::container::MoveLogProbVectorBase

Definition at line 11 of file moveLogProbVector.h.

## Function Documentation

## operator!=()

bool osl::container::operator!= | ( | BitXmask | l,
|  | BitXmask | r )

inline

Definition at line 37 of file bitXmask.h.

## operator*()

QuadInt osl::container::operator* | ( | QuadInt const & | si0,
|  | int | scale )

inline

Definition at line 137 of file quadInt.h.

## operator+() [1/2]

QuadInt osl::container::operator+ | ( | QuadInt const & | si0,
|  | QuadInt const & | si1 )

inline

Definition at line 125 of file quadInt.h.

## operator+() [2/2]

QuadIntPair osl::container::operator+ | ( | QuadIntPair const & | si0,
|  | QuadIntPair const & | si1 )

inline

Definition at line 182 of file quadInt.h.

## operator-() [1/2]

QuadInt osl::container::operator- | ( | QuadInt const & | si0,
|  | QuadInt const & | si1 )

inline

Definition at line 131 of file quadInt.h.

## operator-() [2/2]

QuadIntPair osl::container::operator- | ( | QuadIntPair const & | si0,
|  | QuadIntPair const & | si1 )

inline

Definition at line 188 of file quadInt.h.

## operator<() [1/2]

bool osl::container::operator< | ( | BitXmask | l,
|  | BitXmask | r )

inline

Definition at line 41 of file bitXmask.h.

## operator<() [2/2]

bool osl::container::operator< | ( | QuadInt const & | l,
|  | QuadInt const & | r )

inline

Definition at line 147 of file quadInt.h.

References osl::QuadInt::XMM::llv, and osl::container::QuadInt::v.

## operator<<() [1/4]

std::ostream & osl::container::operator<< | ( | std::ostream & | os,
|  | const BitXmask | mask )

Definition at line 6 of file bitXmask.cc.

References osl::container::BitXmask::intValue().

## operator<<() [2/4]

std::ostream & osl::container::operator<< | ( | std::ostream & | os,
|  | const BoardMask & | mask )

Definition at line 8 of file boardMask.cc.

References osl::container::BoardMask::test().

## operator<<() [3/4]

std::ostream & osl::container::operator<< | ( | std::ostream & | os,
|  | const Square8 & | v )

Definition at line 7 of file square8.cc.

References osl::FixedCapacityVector< T, Capacity >::size().

## operator<<() [4/4]

std::ostream & osl::container::operator<< | ( | std::ostream & | os,
|  | MoveLogProbVector const & | mv )

Definition at line 9 of file moveLogProbVector.cc.

## operator==() [1/5]

bool osl::container::operator== | ( | BitXmask | l,
|  | BitXmask | r )

inline

Definition at line 33 of file bitXmask.h.

References osl::container::BitXmask::intValue().

## operator==() [2/5]

bool osl::container::operator== | ( | const BoardMask & | l,
|  | const BoardMask & | r )

inline

Definition at line 102 of file boardMask.h.

## operator==() [3/5]

bool osl::container::operator== | ( | const MoveLogProbVector & | l,
|  | const MoveLogProbVector & | r )

Definition at line 19 of file moveLogProbVector.cc.

References osl::FixedCapacityVector< T, Capacity >::begin(), osl::FixedCapacityVector< T, Capacity >::end(), and osl::FixedCapacityVector< T, Capacity >::size().

## operator==() [4/5]

bool osl::container::operator== | ( | QuadInt const & | l,
|  | QuadInt const & | r )

inline

Definition at line 143 of file quadInt.h.

References osl::QuadInt::XMM::llv, and osl::container::QuadInt::v.

## operator==() [5/5]

bool osl::container::operator== | ( | QuadIntPair const & | l,
|  | QuadIntPair const & | r )

inline

Definition at line 194 of file quadInt.h.

## operator|()

const BoardMask osl::container::operator| | ( | const BoardMask & | l,
|  | const BoardMask & | r )

inline

Definition at line 96 of file boardMask.h.

## Variable Documentation

## Board_Mask_Table3x3

const container::BoardMaskTable3x3 osl::container::Board_Mask_Table3x3

extern

Definition at line 120 of file tables.cc.

## Board_Mask_Table5x3_Center

const container::BoardMaskTable5x3Center osl::container::Board_Mask_Table5x3_Center

extern

Definition at line 121 of file tables.cc.

## Board_Mask_Table5x5

const container::BoardMaskTable5x5 osl::container::Board_Mask_Table5x5

extern

Definition at line 119 of file tables.cc.